Get ordered account changes and deletion tombstones
curl --request GET \
--url https://punchplay.tv/api/platform/v1/me/sync/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://punchplay.tv/api/platform/v1/me/sync/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://punchplay.tv/api/platform/v1/me/sync/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"cursor": "<string>",
"resource": "history",
"resourceId": "<string>",
"operation": "upsert",
"changedAt": "2023-11-07T05:31:56Z",
"data": {}
}
],
"hasMore": true,
"nextCursor": "<string>",
"resetRequired": true,
"resources": [
"history"
]
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}Sync
Get ordered account changes and deletion tombstones
Omit cursor to begin a new sync. A resetRequired response supplies the high-water cursor to retain while the client downloads resource snapshots. Cursors expire after 90 days.
GET
/
api
/
platform
/
v1
/
me
/
sync
/
changes
Get ordered account changes and deletion tombstones
Authorizations
oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
⌘I